Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog/pair-metrics?pretty=true&api_key=<your_key>"
import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog/pair-metrics?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"metric": "open_interest_reported_future_coin_margined_usd",
"full_name": "Open interest, reported, future, coin-margined, USD",
"description": "The sum of all reported open interest from futures markets where the margin asset is equivalent to the underlying base asset in units of U.S. dollars.",
"product": "Market Data",
"category": "Open Interest",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1h",
"pairs": [
"1inch-usd",
"ada-usd",
"algo-usd"
]
},
{
"frequency": "1d",
"pairs": [
"1inch-usdc",
"ada-usdc",
"algo-usdc"
]
}
],
"display_name": "Reported Coin-Margined Future Open Interest"
},
{
"metric": "volume_reported_future_coin_margined_usd_1d",
"full_name": "Volume, reported, future, coin-margined, USD, one day",
"description": "The sum of all reported volume from futures markets where the margin asset is equivalent to the underlying base asset in units of U.S. dollars.",
"product": "Market Data",
"category": "Volume",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1d",
"pairs": [
"1inch-usdc",
"ada-usdc",
"algo-usdc"
]
}
],
"display_name": "Reported Coin-Margined Future Volume"
}
]
}
Catalog (deprecated)
Available pair metrics
deprecated
Returns a list of available pair metrics along with information for them like description, category and pairs for which a metric is available.
GET
/
catalog
/
pair-metrics
Shell
curl --compressed "https://api.coinmetrics.io/v4/catalog/pair-metrics?pretty=true&api_key=<your_key>"
import requests
response = requests.get('https://api.coinmetrics.io/v4/catalog/pair-metrics?pretty=true&api_key=<your_key>').json()
print(response)
const options = {method: 'GET'};
fetch('https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coinmetrics.io/v4/catalog/pair-metrics?api_key=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"metric": "open_interest_reported_future_coin_margined_usd",
"full_name": "Open interest, reported, future, coin-margined, USD",
"description": "The sum of all reported open interest from futures markets where the margin asset is equivalent to the underlying base asset in units of U.S. dollars.",
"product": "Market Data",
"category": "Open Interest",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1h",
"pairs": [
"1inch-usd",
"ada-usd",
"algo-usd"
]
},
{
"frequency": "1d",
"pairs": [
"1inch-usdc",
"ada-usdc",
"algo-usdc"
]
}
],
"display_name": "Reported Coin-Margined Future Open Interest"
},
{
"metric": "volume_reported_future_coin_margined_usd_1d",
"full_name": "Volume, reported, future, coin-margined, USD, one day",
"description": "The sum of all reported volume from futures markets where the margin asset is equivalent to the underlying base asset in units of U.S. dollars.",
"product": "Market Data",
"category": "Volume",
"subcategory": "Future",
"unit": "USD",
"data_type": "decimal",
"type": "Sum",
"frequencies": [
{
"frequency": "1d",
"pairs": [
"1inch-usdc",
"ada-usdc",
"algo-usdc"
]
}
],
"display_name": "Reported Coin-Margined Future Volume"
}
]
}

